Holger's Java API

## com.antelmann.sound
Interface JukeBox.Listener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  JJukeBox

Enclosing class:
  JukeBox

    public static interface JukeBox.Listener

extends EventListener

JukeBox.Listener listens to events triggered by a JukeBox object.

Field Summary
`static int` `END_OF_SONG` indicates that the current song just ended
`static int` `MUSIC_RESUMED` indicates that the music play of the JukeBox is resumed
`static int` `MUSIC_STOPPED` indicates that the stop() method on the JukeBox was called
`static int` `NEXT_REQUESTED` indicates a user request to play the next song
`static int` `PLAYING_NEW_SONG` indicates that a new song is now being played

Method Summary
`void` `stateChange(JukeBox jb, int type)` called the state of the given JukeBox changes.

Field Detail

### NEXT_REQUESTED

    static final int NEXT_REQUESTED

  indicates a user request to play the next song

  See Also:
    Constant Field Values

### MUSIC_STOPPED

    static final int MUSIC_STOPPED

  indicates that the stop() method on the JukeBox was called

  See Also:
    Constant Field Values

### MUSIC_RESUMED

    static final int MUSIC_RESUMED

  indicates that the music play of the JukeBox is resumed

  See Also:
    Constant Field Values

### END_OF_SONG

    static final int END_OF_SONG

  indicates that the current song just ended

  See Also:
    Constant Field Values

### PLAYING_NEW_SONG

    static final int PLAYING_NEW_SONG

  indicates that a new song is now being played

  See Also:
    Constant Field Values

Method Detail

### stateChange

    void stateChange(JukeBox jb,
                     int type)

  called the state of the given JukeBox changes.

  Parameters:
    `type` - one of the constants of this class

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads